Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.repastdemos.jain
Class JainModel

    java.lang.Object
      uchicago.src.sim.engine.SimModelImpl
          uchicago.src.repastdemos.jain.JainModel

All Implemented Interfaces:
  DescriptorContainer, SimEventProducer, SimModel

    public class JainModel

extends SimModelImpl

Field Summary

Fields inherited from class uchicago.src.sim.engine.SimModelImpl
`descriptors, modelManipulator`

Constructor Summary
`JainModel()`

Method Summary
`void` | `begin()` Begins a simulation run.
`void` | `buildDisplay()`
`void` | `buildModel()`
`void` | `createInitialLinks()`
`void` | `createInitialPop()`
`java.lang.String[]` | `getInitParam()` Gets the names of the initial model parameters to set.
`java.lang.String` | `getLayoutType()`
`double` | `getLinkProb()`
`java.lang.String` | `getName()` Gets the name of the model/simulation.
`int` | `getNumNodes()`
`Schedule` | `getSchedule()` Gets the Schedule created by the model.
`int` | `getUpdateEveryN()`
`int` | `getWorldXSize()`
`int` | `getWorldYSize()`
`void` | `initialAction()`
`static void` | `main(java.lang.String[] args)`
`void` | `mainAction()`
`void` | `removeInitialAction()`
`void` | `setLayoutType(java.lang.String type)`
`void` | `setLinkProb(double prob)`
`void` | `setNumNodes(int n)`
`void` | `setup()` Prepares a model for a new run, typically by deallocating objects or setting them to some reasonable default.
`void` | `setUpdateEveryN(int updates)`
`void` | `setWorldXSize(int size)`
`void` | `setWorldYSize(int size)`

Methods inherited from class uchicago.src.sim.engine.SimModelImpl
`addPropertyListener, addSimEventListener, clearMediaProducers, clearPropertyListeners, fireBooleanPropertyEvent, fireEndSim, fireNumericPropertyEvent, fireObjectPropertyEvent, firePauseSim, fireSimEvent, fireStopSim, fireStringPropertyEvent, generateNewSeed, getController, getMediaProducers, getModelManipulator, getParameterDescriptors, getPropertiesValues, getRngSeed, getTickCount, pause, registerDisplaySurface, registerMediaProducer, removePropertyListener, removeSimEventListener, setController, setRngSeed, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JainModel

    public JainModel()

Method Detail

### getLayoutType

    public java.lang.String getLayoutType()

### setLayoutType

    public void setLayoutType(java.lang.String type)

### setUpdateEveryN

    public void setUpdateEveryN(int updates)

### getUpdateEveryN

    public int getUpdateEveryN()

### getLinkProb

    public double getLinkProb()

### setLinkProb

    public void setLinkProb(double prob)

### setNumNodes

    public void setNumNodes(int n)

### getNumNodes

    public int getNumNodes()

### getWorldXSize

    public int getWorldXSize()

### setWorldXSize

    public void setWorldXSize(int size)

### getWorldYSize

    public int getWorldYSize()

### setWorldYSize

    public void setWorldYSize(int size)

### buildModel

    public void buildModel()

### removeInitialAction

    public void removeInitialAction()

### createInitialPop

    public void createInitialPop()

### createInitialLinks

    public void createInitialLinks()

### initialAction

    public void initialAction()

### mainAction

    public void mainAction()

### buildDisplay

    public void buildDisplay()

### begin

    public void begin()

  Description copied from interface: `SimModel`
  Begins a simulation run. All initialization, building the model, diplay, etc. should take place here. This method is called whenever the start button (or the step button if the run has not yet begun) is clicked. If running in batch mode this is called to kick off a new simulation run.

### setup

    public void setup()

  Description copied from interface: `SimModel`
  Prepares a model for a new run, typically by deallocating objects or setting them to some reasonable default. Called whenever the setup button is clicked or if operating in batch mode whenever a single run has ended in preparation for the next. Also called when the model is first loaded.

### getInitParam

    public java.lang.String[] getInitParam()

  Description copied from interface: `SimModel`
  Gets the names of the initial model parameters to set. These names must have get and set methods supplied by the model. For example, for the parameter maxAge, the model must have getMaxAge and setMaxAge methods.

  Returns:
    a String[] of the initial parameter names

### getSchedule

    public Schedule getSchedule()

  Description copied from interface: `SimModel`
  Gets the Schedule created by the model.

  Returns:
    the schedule created by the model

### getName

    public java.lang.String getName()

  Description copied from interface: `SimModel`
  Gets the name of the model/simulation.

  Returns:
    the name of the model/simulation

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD